#!/bin/csh

setenv DISPLAY	:0.0

set	APP_HOME=.
set	DIR_REL=${APP_HOME}/lib
set	DIR_LIB=${APP_HOME}/lib

set LIB_XERCES=${DIR_LIB}/xerces.jar
set LIB_LOG4J=${DIR_LIB}/log4j-1.2.8.jar

set	CLASSPATH=${LIB_XERCES}:${LIB_LOG4J}
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/util.jar:${DIR_REL}/util_dmn.jar
set	CLASSPATH=${CLASSPATH}:${DIR_REL}/smtpauth.jar
set	CLASSPATH=${CLASSPATH}:.

set NAME="-Dapp.name=SmtpAuth"
set LOG4J="-Dlog4j.configuration=config/CmnLog.properties"
set CONFIG="-DDaemonManager.config=config/daemon.xml"

java ${NAME} ${LOG4J} ${CONFIG} -cp ${CLASSPATH} \
	jp.co.sds_corp.util.daemon.manager.DaemonManager $*
#	jp.co.sds_corp.util.daemon.manager.JMXManager $*
